import request from '@/utils/request'


export function searchSupplier(data) {
  return request({
    url: '/supplier/search',
    method: 'post',
    data
  })
}


export function createSupplier(data) {
  return request({
    url: '/supplier/create',
    method: 'post',
    data
  })
}



export function updateSupplier(data) {
  return request({
    url: '/supplier/update',
    method: 'post',
    data
  })
}


export function getSupplierInfo(data) {
  return request({
    url: '/supplier/info',
    method: 'post',
    data
  })
}



export function deleteSupplier(data) {
  return request({
    url: '/supplier/delete',
    method: 'post',
    data
  })
}





